Loading...
Searching...
No Matches
types.h File Reference
`#include "girara-version.h"`
`#include <stdbool.h>`
Include dependency graph for types.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct girara_tree_node_s | girara_tree_node_t
typedef struct girara_list_s | girara_list_t
typedef struct girara_list_iterator_s | girara_list_iterator_t
typedef void(* | girara_free_function_t) (void *data)
typedef void(* | girara_list_callback_t) (void *data, void *userdata)
typedef int(* | girara_compare_function_t) (const void *data1, const void *data2)
typedef struct girara_input_history_io_s | GiraraInputHistoryIO

## Typedef Documentation

## girara_compare_function_t

typedef int(* girara_compare_function_t) (const void *data1, const void *data2)

Function declaration of a function which compares two elements.

Parameters

  data1 | the first element.
  data2 | the second element.

Returns
  -1 if data1 < data2, 0 if data1 == data2 and 1 if data1 > data2

Definition at line 34 of file types.h.

## girara_free_function_t

typedef void(* girara_free_function_t) (void *data)

Function declaration of a function that frees something.

Parameters

  data | the data to be freed.

Definition at line 18 of file types.h.

## girara_list_callback_t

typedef void(* girara_list_callback_t) (void *data, void *userdata)

Function declaration of a function called as callback from girara_list_* functions.

Parameters

  data | a list element.
  userdata | data passed as userdata to the calling function.

Definition at line 26 of file types.h.

## girara_list_iterator_t

typedef struct girara_list_iterator_s girara_list_iterator_t

Definition at line 11 of file types.h.

## girara_list_t

typedef struct girara_list_s girara_list_t

Definition at line 10 of file types.h.

## girara_tree_node_t

typedef struct girara_tree_node_s girara_tree_node_t

Definition at line 9 of file types.h.

## GiraraInputHistoryIO

typedef struct girara_input_history_io_s GiraraInputHistoryIO

Definition at line 38 of file types.h.